<?php
/**
 * @package linea21.modules
 * @subpackage resources
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 * 'Resource' module is used by 'Publication' and 'Workshop' modules
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
    include_once("../lib/lib_common.php");
    ReloadIndex('admin');
} 
////////////

include_once("../lib/lib_common.php"); 

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];

if(isset($_POST['valider'])) {
	$resources_object = new resources;
	if($res=='biblio') $result=$resources_object->DeleteBiblioRes($id, $sql_object);
	if($res=='multi') $result=$resources_object->DeleteMultiRes($id, $sql_object);
	if($res=='link') $result=$resources_object->DeleteLinkRes($id, $sql_object);
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&type=".$type."&id=".$parent;
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

if($type=='P') {
	$requete= SQL_getPublicationTitle($parent);
	$result=$sql_object->DBSelect($requete);
	$current_title=FormatText($result[0]['publi_title'], '2HTML');
	$publi_owner=$result[0]['publi_posted_by'];
	
	//////////// Check Droits utilisateur ////////////
	if (!HaveRight('publication')) ReloadIndex('admin');
	if (GetSessionElement('id')!=$publi_owner && !IsSuperAdmin()) ReloadIndex('admin');
	///////////
	

}
if($type=='W') {
	$requete= SQL_getWorkshopRepTitleAndGroup($parent);
	$result=$sql_object->DBSelect($requete);
	$current_title=FormatText($result[0]['workrep_title'].' ('.$result[0]['workshop_denomination'].')', '2HTML');
	$workshop_id=$result[0]['workrep_workshop_id'];
	
	//////////// Check Droits utilisateur ////////////
	if (!HaveRight('workshop')) ReloadIndex('admin');
	if (!AuthUser4Workshop($workshop_id, $sql_object) && !IsSuperAdmin()) ReloadIndex('admin');
	///////////
	
}

if($res=='link') {
	$requete= SQL_getLinkInfo($id);
	$result=$sql_object->DBSelect($requete);
	$current_info=FormatText($result[0]['linkres_mask'], '2HTML');
	$type_display=$GLOBALS['lang']['resources']['link_res'];
}
if($res=='multi') {
	$requete= SQL_getMultiInfo($id);
	$result=$sql_object->DBSelect($requete);
	$current_info=FormatText($result[0]['multires_name'], '2HTML');
	$type_display=$GLOBALS['lang']['resources']['multi_res'];
}
if($res=='biblio') {
	$requete= SQL_getBiblioInfo($id);
	$result=$sql_object->DBSelect($requete);
	$current_info=FormatText($result[0]['bibliores_title']." <span class=\"text_det_it\">(".$result[0]['bibliores_author'].")</span>", '2HTML');
	$type_display=$GLOBALS['lang']['resources']['biblio_res'];
}
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home']; ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu'][$mod_inc]; ?></a>
		</li>
		<li>
			<span><? echo formatNavTitle($GLOBALS['lang']['resources'][$mod_inc.'_type']." : ". $current_title); ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<? echo "<h2>".formatTitleh2($current_title)."</h2>"; ?>
<form id="suptheme" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<p class="info">
<?php 
echo $GLOBALS['lang']['resources']['supp_info']."'".$type_display."' ".$GLOBALS['lang']['resources']['next']." \n";
echo $current_info."\n"; 
?>
</p>
<p><?php echo $GLOBALS['lang']['divers']['sup_confirm']; ?></p>
<div>
<input name="id" type="hidden" value="<?php echo $id; ?>" />
<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
<input name="res" type="hidden" value="<?php echo $res; ?>" id="res" />
<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
<input name="parent" type="hidden" value="<?php echo $parent; ?>" id="parent" />
<input name="type" type="hidden" value="<?php echo $type; ?>" id="type" />
<?php echo cancel_button($cancel_link); ?>
<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
</div>
</form>
</div>
<?php include_once($dir."/help.php"); ?>
</div>